
Infrastructure - Task #2227

Story # 1906 (Closed): Review, revise, and update architecture documentation

Specify valid mimetypes for responses

2012-01-18 18:47 - Roger Dahl

Status: New Start date: 2012-01-18

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

boolean: 200, arbitrary Content-Type, arbitrary body

Boolean: 200, text/xml, xml body

ok xml return types: 200 or 303, text/xml, xml body

error return: 4xx, text/xml, xml body

DataONE services should not create or consume Content-Type application/xml.

History

#1 - 2012-01-18 18:56 - Dave Vieglais

- Target version set to Sprint-2012.03-Block.1.2

Error can also be 5xx

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
